
.first-screen {
    overflow: hidden;
    position: relative;
    z-index: 2;
    &__bg {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh; 
        height: calc(var(--vh, 1vh) * 100);
        background: #161616;
        z-index: 1;
    }
    &__wrapper {
        position: relative;
        height: 100vh; 
        height: calc(var(--vh, 1vh) * 100);
        background: #161616;
        overflow: hidden;
        max-width: 100vw;
        @media (max-width: 1024px) {
            min-height: 800px;
        }
        @media (max-width: 580px) {
            min-height: 600px;
        }
    }
    &__inner {
        height: 100%;
        position: relative;
    }
    &__text {
        position: absolute;
        top: 50%;
        left: 24px; 
        transform: translateY(-50%);
        z-index: 5; 
        @media (max-width: 1024px) {
            margin-top: 125px;
        }
        @media (max-width: 580px) {
            margin-top: 75px;
        }
        &_name {
            display: block;
            font-family: 'NewBaskervilleExpOdC';
            font-size: 140px;
            line-height: 168px;
            letter-spacing: 0.04em;
            text-transform: uppercase;
            color: #CCA86F;
            margin-bottom: -40px;
            @media (max-width: 1024px) {
                font-size: 100px;
                line-height: 110px;
                margin-bottom: -20px;
            }
            @media (max-width: 767px) {
                font-size: 48px;
                line-height: 58px;
                margin-bottom: -6px;
            }
        }
        &_desc {
            display: block;
            font-size: 18px;
            line-height: 1.33;
            color: #FFFFFF;
            max-width: 477px;
            margin-top: 26px;
            @media (max-width: 767px) {
                font-size: 16px;
                line-height: 1.5;
            }
        }
    }
    &__smoke {
        position: absolute;
        right: 0;
        top: 50%;
        transform: translateY(-50%) translateX(75%) translateZ(1px);
        mix-blend-mode: lighten;
        will-change: transform;
        z-index: 4;
        &._ok {
            animation: smoke 46s infinite ease-out;
        }
    }
    &__map {
        position: absolute;
        left: 10%;
        top: 50%;
        transform: translateY(-38%);
        mix-blend-mode: soft-light;
        z-index: 2;
        @media (max-width: 1024px) {
            margin-top: 125px;
        }
    }
    &__text-img {
        position: absolute;
        left: 50%;
        top: 50%;
        width: 100%;
        transform: translateY(-38%) translateX(-50%);
        z-index: 0;
        max-width: 1592px;
        img {
            display: inline-block;
            max-width: 1000px;
            width: 70%;
        }
        &--type-2 {
            z-index: 3;
            transform: translateY(0%) translateX(-50%);
            top: auto;
            bottom: 0;
            text-align: center;
            img {
                display: inline-block;
                max-width: 1600px;
                width: 100%;
            }
        }
        @media (max-width: 1024px) {
            margin-top: 0;
            top: 0;
            transform: translateY(0%);
            height: 100%;
            left: auto;
            right: 20%;
            max-width: 100%;
            img {
                width: auto;
                height: 100%;
                max-height: 100%;
                max-width: none;
            }
        }
    }
    &__btn-circle {
        position: absolute;
        top: 100%;
        left: 100%;
        @media (max-width: 1024px) {
            margin-top: 40px;
            left: auto;
            right: 20px;
        }
        @media (max-width: 580px) {
            margin-top: 0;
        }
    }
    &__portrait {
        position: absolute;
        right: 0;
        top: 50%;
        transform: translateY(-50%);
        width: 656px;
        @media (max-width: 1256px) {
            width: 560px;
        }
        @media (max-width: 1024px) {
            right: -58px;
            margin-top: 40px;
            max-width: calc(100% - 80px);
            margin-top: -10px;
        }
        @media (max-width: 580px) { 
            right: -33px;
            max-width: 120%;
            margin-top: -20px;
            top: 0;
            transform: translate(0,0);
        }
        img {
            opacity: .7;
        }
    }
    &__scroll {
        position: absolute;
        bottom: 0;
        left: 20px;
        display: inline-block;
        width: 62px;
        text-align: right;
        font-size: 10px;
        line-height: 1.8;
        letter-spacing: 0.05em;
        text-transform: uppercase;
        color: #D5D1CB;
        padding: 5px 0;
        transform: rotate(-90deg) translate(17px,-17px);
        i {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 1px;
            overflow: hidden;
            &:before {
                content: "";
                 position: absolute;
                top: 0;
                height: 1px;
                width: 100%;
                background: #cca86f;
                animation: scroll 2s infinite ease-in-out;
            }
        }
        &:hover {
            color: #cca86f;
        }
    }
}